Bug 183875 - wnck-applet and clock-applet leak memory
wnck-applet and clock-applet leak memory
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 05:54 EST by Arne Christensen
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:46:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arne Christensen 2006-03-03 05:54:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.7.12-1.5.2

Description of problem:
Being logged in "always", I notice that wnck-applet and clock-applet both grow over the course of many days. E.g. after 12 days the sizes are over 100 MB!



Version-Release number of selected component (if applicable):
gnome-panel-2.10.1-10.2

How reproducible:
Always

Steps to Reproduce:
1. Configure the tool bar to display (among other things) the clock and wnck
2. Log in again some other day
3. Wait a couple of weeks
4. ps -e -o rss,size,vsize,start_time,cmd |grep applet | sed 's/--oaf.*//' | sort -nr

  

Actual Results:  Done on March 3rd:

101648 142880 163884 Feb19 /usr/libexec/clock-applet
95576 104432 125436 Feb19 /usr/libexec/wnck-applet
 8476  6900  27420 Feb19 /usr/libexec/gweather-applet-2
 6624 23684  43648 Feb19 /usr/libexec/drivemount_applet2
 6112  2404  21652 Feb19 /usr/libexec/multiload-applet-2
 6092  4664  24452 Feb19 /usr/libexec/gnome-keyboard-applet
 5984  3376  24768 Feb19 /usr/libexec/mixer_applet2
 5004  1896  20936 Feb19 /usr/libexec/notification-area-applet
  668   236   3760 11:55 grep applet


Expected Results:  I'd like to see something smaller.... The other applets are more reasonable, as shown.

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:28:54 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Arne Christensen 2007-01-20 06:47:46 EST
I'm sorry I cannot update and check. I've replaced Fedora/Gnome with
(K)ubuntu/KDE, which works much more smoothly; I suppose I'm not in the primary
audience for Fedora (I need a stable system to do work on, more than the leading
edge). Now I don't know whether to change the status of the bug or what. If the
clock doesn't grow for you on newer releases, I suppose the problem has been fixed.
Comment 3 Ray Strode [halfline] 2007-08-14 11:46:08 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.